<?php if(!is_single()) : global $more; $more = 0; endif; //enable more link ?>

<div class="loop-index-wrapper<?php if ( is_sticky() ) { ?> sticky<?php } ?>">
    <a href="<?php echo esc_url( get_permalink() ); ?>">
        <div class="loop-index-inner">
            
            <!-- BEGIN COMMENT COUNT (if post has comments) -->
            <?php if (get_comments_number()==0) { } else { ?>
                <div class="comment-count-bubble">
                    <span>
                        <?php comments_number('','1','%'); ?>
                    </span>
                </div>
            <?php } ?>
            <!-- END COMMENT COUNT (if post has comments) -->

            <!-- BEGIN FEATURED IMAGE + ICONS -->        
            <div class="featured-image" <?php if ( has_post_thumbnail() ) { ?>style="background-image:url(<?php $image_id = get_post_thumbnail_id(); $image_url = wp_get_attachment_image_src($image_id,'powerup-index-thumb', true); echo esc_url($image_url[0]); ?>);"<?php } ?>>
    
                <!-- BEGIN CATEGORY MARKERS -->
                <div class="category-markers-wrapper">
                    <?php if(in_category('video')) { ?>
                        <div class="video-post-marker"></div>
                    <?php } ?>

                    <?php if(in_category('images')) { ?>
                        <div class="images-post-marker">
                            <div class="images-post-marker-inner"></div>
                        </div>
                    <?php } ?>
                </div>
                <!-- END CATEGORY MARKERS -->
                
                <!-- BEGIN MARK HIGHLIGHTED POST -->
                <?php if(get_theme_mod('powerup_disable_highlighted_content', '') === '') { ?>
                    <?php if(in_category('highlighted')) { ?>
                        <div class="highlighted-post-marker"></div>
                    <?php } ?>
                <?php } ?>
                <!-- END MARK HIGHLIGHTED POST -->

            </div>
            <!-- END FEATURED IMAGE + ICONS -->
            
            <!-- BEGIN TITLE + DATE -->
            <div class="title-excerpt-wrapper">
                <!-- BEGIN TITLE -->
                <div class="entry-title">
                    <h2>
                        <!-- BEGIN STICKY POST MARKER -->
                        <?php if ( is_sticky() ) { ?>
                            <span>
                                <?php esc_html_e('Pinned:','powerup'); ?>
                            </span>
                        <?php } ?>
                        <!-- END STICKY POST MARKER -->
                        <!-- BEGIN TITLE -->
                        <?php the_title(); ?>
                        <!-- END TITLE -->
                    </h2>
                    
                </div>
                <!-- END TITLE -->
                
                <!-- BEGIN CONTENT -->
                <div class="post-excerpt">
                    <!-- BEGIN TIME + DATE -->
                    <span class="post-date">
                        <?php echo esc_attr(the_time(get_option('time_format'))); ?>, <?php echo esc_attr(the_time(get_option('date_format'))); ?>:
                    </span>
                    <!-- END TIME + DATE -->
                    <!-- BEGIN EXCERPT -->
                    <?php echo powerup_excerpt(23); ?>
                    <!-- END EXCERPT -->
                    <!-- BEGIN READ MORE -->
                    <span class="read-more">
                        <?php esc_html_e('Read more','powerup'); ?>
                    </span>
                    <!-- END READ MORE -->
                </div>
                <!-- END CONTENT -->
            </div>
            <!-- END TITLE + DATE -->

        </div>
    </a>
</div>