<!-- BEGIN FEATURED CONTENT SLIDER -->
<div class="index-featured-wrapper-alt">

    <div class="swiper-container">
        <div class="swiper-wrapper">
            <!-- THE LOOP -->
            <?php global $post; $args = array('numberposts'=>5,'category_name'=>'featured'); $featuredposts = get_posts($args); foreach($featuredposts as $post) : setup_postdata($post); ?>
            <div class="swiper-slide">
                    <!-- BEGIN FEATURED IMAGE -->
                    <a href="<?php echo esc_url( get_permalink() ); ?>">
                        <div class="featured-image-wrapper">
                            <?php if ( has_post_thumbnail() ) { ?>
                                <div class="featured-image" style="background-image:url(<?php $image_id = get_post_thumbnail_id(); $image_url = wp_get_attachment_image_src($image_id,'large', true); echo esc_url($image_url[0]); ?>);"></div>
                            <?php } ?>
                            
                            <!-- BEGIN CATEGORY MARKERS -->
                            <div class="category-markers-wrapper">
                                <?php if(in_category('video')) { ?>
                                    <div class="video-post-marker"></div>
                                <?php } ?>

                                <?php if(in_category('images')) { ?>
                                    <div class="images-post-marker">
                                        <div class="images-post-marker-inner"></div>
                                    </div>
                                <?php } ?>
                            </div>
                            <!-- END CATEGORY MARKERS -->
                            
                            <!-- BEGIN COMMENT COUNT (if post has comments) -->
                            <?php $comment_count = get_comment_count($post->ID); if ( comments_open() && $comment_count['approved'] > 0 ) : ?>
                                <div class="comment-count-bubble">
                                    <span>
                                        <?php comments_number('','1','%'); ?>
                                    </span>
                                </div>
                            <?php endif; ?>
                            <!-- END COMMENT COUNT (if post has comments) -->
                        </div>
                    </a>
                    <!-- END FEATURED IMAGE -->
                    
                    <!-- BEGIN TITLE + AUTHOR + READ MORE -->
                    <div class="title-author-wrapper">
                        <!-- BEGIN TITLE -->
                        <div class="entry-title">
                            <a href="<?php echo esc_url( get_permalink() ); ?>">
                                <h1><?php the_title(); ?></h1>
                            </a>
                        </div>
                        <!-- END TITLE -->
                        
                        <!-- BEGIN POST AUTHOR -->
                        <div class="post-author">
                            <?php esc_html_e( 'By ', 'powerup' ); ?><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" rel="author"><?php printf( esc_html(get_the_author()) ); ?></a><span>|</span>
                        </div>
                        <!-- END POST AUTHOR -->
                        
                        <!-- BEGIN READ MORE -->
                        <a href="<?php echo esc_url( get_permalink() ); ?>" class="read-more">
                            <?php esc_html_e('Read now','powerup'); ?>
                        </a>
                        <!-- END READ MORE -->
                    </div>
                    <!-- END TITLE + AUTHOR + READ MORE -->
            </div>
            <?php endforeach; wp_reset_postdata(); ?>
            <!-- END LOOP  -->
        </div>
    </div>
    <div class="index-featured-divider"></div>
    <!-- Swiper Pagination -->
    <div class="swiper-pagination"></div>
</div>
<!-- END FEATURED CONTENT SLIDER -->

<!-- BEGIN AD AREA -->
<div class="index-ad-wrapper">
    <?php dynamic_sidebar('powerup-index-ad-widget'); ?>
    <!-- BEGIN SPOSORED TEXT INCLUDE -->
    <?php get_template_part('include-sponsored'); ?>
    <!-- END SPOSORED TEXT INCLUDE -->
</div>
<!-- END AD AREA -->