<div class="featured-big-wrapper">
    <div class="featured-big-inner">

        <!-- BEGIN LOOP (large featured story) -->
        <?php global $post; $args = array('numberposts'=>1,'category_name'=>'featured'); $featuredposts = get_posts($args); foreach($featuredposts as $post) : setup_postdata($post); ?>
        <div class="featured-stories-wrapper featured-large">

            <div class="featured-stories-inner" style="background-image:url(<?php the_post_thumbnail_url()?>);">
                <div class="featured-stories-bg-gradient">
                
                    <!-- BEGIN CATEGORY MARKERS -->
                    <div class="category-markers-wrapper">
                        <?php if(in_category('video')) { ?>
                            <div class="video-post-marker"></div>
                        <?php } ?>

                        <?php if(in_category('images')) { ?>
                            <div class="images-post-marker">
                                <div class="images-post-marker-inner"></div>
                            </div>
                        <?php } ?>
                    </div>
                    <!-- END CATEGORY MARKERS -->
                    
                    <!-- BEGIN MARK HIGHLIGHTED POST -->
                    <?php if(get_theme_mod('powerup_disable_highlighted_content', '') === '') { ?>
                        <?php if(in_category('highlighted')) { ?>
                            <div class="highlighted-post-marker"></div>
                        <?php } ?>
                    <?php } ?>
                    <!-- END MARK HIGHLIGHTED POST -->
                    
                    <a href="<?php the_permalink()?>">
                        <!-- BEGIN CATEGORIES (except 'featured' and 'highlighted') -->
                        <?php $categories = get_the_category(); $separator = ''; $output = '';
                        if($categories){
                            foreach($categories as $category) {
                                if($category->slug !== 'featured') 
                                if($category->slug !== 'highlighted')
                                { $output .= '<div class="featured-category">'.$category->cat_name.'</div>'.$separator; }
                            }
                        echo trim($output, $separator); } ?>
                        <!-- END CATEGORIES (except 'featured' and 'highlighted') -->

                        <div class="featured-title-wrapper">
                            <!-- BEGIN COMMENT COUNT (if post has comments) -->
                            <?php if (get_comments_number()==0) { } else { ?>
                                <div class="comment-count-bubble">
                                    <span>
                                        <?php comments_number('','1','%'); ?>
                                    </span>
                                </div>
                            <?php } ?>
                            <!-- END COMMENT COUNT (if post has comments) -->
                            <h2><?php the_title()?></h2>
                            <div class="featured-author-time"><?php esc_html_e( 'By', 'powerup' ); ?> <?php printf( esc_html(get_the_author()) ); ?> // <?php printf( _x('%s ago', '%s = human-readable time difference','powerup'), human_time_diff( get_the_time('U'), current_time('timestamp') ) ); ?></div>
                        </div>
                    </a>
                    
                </div>
            </div>

        </div>
        <?php endforeach; wp_reset_postdata(); ?>
        <!-- END LOOP (large featured story) -->

    </div>
</div>    
    
<div class="featured-small-wrapper">

    <!-- BEGIN LOOP (small featured stories) -->
    <?php global $post; $args = array('numberposts'=>2,'category_name'=>'featured','offset'=>'1'); $featuredposts = get_posts($args); foreach($featuredposts as $post) : setup_postdata($post); ?>
    <div class="featured-stories-wrapper">

        <div class="featured-stories-inner" style="background-image:url(<?php the_post_thumbnail_url()?>);">
            <div class="featured-stories-bg-gradient">
            
                <!-- BEGIN CATEGORY MARKERS -->
                <div class="category-markers-wrapper">
                    <?php if(in_category('video')) { ?>
                        <div class="video-post-marker"></div>
                    <?php } ?>

                    <?php if(in_category('images')) { ?>
                        <div class="images-post-marker">
                            <div class="images-post-marker-inner"></div>
                        </div>
                    <?php } ?>
                </div>
                <!-- END CATEGORY MARKERS -->
                
                <!-- BEGIN MARK HIGHLIGHTED POST -->
                <?php if(get_theme_mod('powerup_disable_highlighted_content', '') === '') { ?>
                    <?php if(in_category('highlighted')) { ?>
                        <div class="highlighted-post-marker"></div>
                    <?php } ?>
                <?php } ?>
                <!-- END MARK HIGHLIGHTED POST -->
                
                <a href="<?php the_permalink()?>">
                    <!-- BEGIN CATEGORIES (except 'featured' and 'highlighted') -->
                    <?php $categories = get_the_category(); $separator = ''; $output = '';
                    if($categories){
                        foreach($categories as $category) {
                            if($category->slug !== 'featured') 
                            if($category->slug !== 'highlighted')
                            { $output .= '<div class="featured-category">'.$category->cat_name.'</div>'.$separator; }
                        }
                    echo trim($output, $separator); } ?>
                    <!-- END CATEGORIES (except 'featured' and 'highlighted') -->

                    <div class="featured-title-wrapper">
                        <!-- BEGIN COMMENT COUNT (if post has comments) -->
                        <?php if (get_comments_number()==0) { } else { ?>
                            <div class="comment-count-bubble">
                                <span>
                                    <?php comments_number('','1','%'); ?>
                                </span>
                            </div>
                        <?php } ?>
                        <!-- END COMMENT COUNT (if post has comments) -->
                        <h2><?php the_title()?></h2>
                        <div class="featured-author-time"><?php esc_html_e( 'By', 'powerup' ); ?> <?php printf( esc_html(get_the_author()) ); ?> // <?php printf( _x('%s ago', '%s = human-readable time difference','powerup'), human_time_diff( get_the_time('U'), current_time('timestamp') ) ); ?></div>
                    </div>
                </a>
                
            </div>
        </div>

    </div>
    <?php endforeach; wp_reset_postdata(); ?>
    <!-- END LOOP (small featured stories) -->

</div>