<!-- BEGIN MENU -->
<div class="powerup-by-bonfire-bg-line"></div>
<div class="powerup-by-bonfire-wrapper">
    <div class="powerup-close-button"></div>
    <div class="powerup-by-bonfire smooth-scroll">
        <div class="powerup-by-bonfire-inner">
            <!-- BEGIN SEARCH -->
            <div class="powerup-menu-search-wrapper">
                <div class="powerup-search-wrapper">
                    <form method="get" id="menu-searchform" action="<?php echo esc_url( home_url( '/' ) ); ?>">
                    <input type="text" class="field" name="s" id="menu-s" placeholder="<?php esc_attr_e('Search...','powerup'); ?>" />
                    </form>
                </div>
            </div>
            <!-- END SEARCH -->
            <!-- BEGIN MENU -->
            <?php $walker = new powerup_Menu_Description; ?>
            <?php wp_nav_menu( array( 'theme_location' => 'powerup-header-dropdown', 'walker' => $walker, 'fallback_cb' => '' ) ); ?>
            <!-- END MENU -->
            <!-- BEGIN WIDGETS -->
            <?php if( is_active_sidebar('powerup-dropdown-widgets') ) { ?>
                <div class="powerup-widgets-wrapper powerup-menu-widgets">
                    <?php dynamic_sidebar('powerup-dropdown-widgets'); ?>
                </div>
            <?php } ?>	    
            <!-- END WIDGETS -->
        </div>
    </div>
    <!-- BEGIN SOCIAL -->
    <div class="powerup-social-bar-wrapper">
        <div class="powerup-social-bar-label">
            <?php if( get_theme_mod('powerup_social_bar_label', '') === '') { ?>
                <?php esc_html_e( 'SOCIAL:', 'powerup' ); ?>
            <?php } else { ?>
                <?php echo get_theme_mod('powerup_social_bar_label'); ?>
            <?php } ?>
        </div>
        <div class="powerup-social-bar-icons">
            <?php if( get_theme_mod('powerup_social_twitch', '') !== '') { ?>
            <a href="<?php echo esc_url(get_theme_mod('powerup_social_twitch')); ?>" target="_blank">
                <span class="icon-twitch"></span>
            </a>
            <?php } ?>
            <?php if( get_theme_mod('powerup_social_youtube', '') !== '') { ?>
            <a href="<?php echo esc_url(get_theme_mod('powerup_social_youtube')); ?>" target="_blank">
                <span class="icon-youtube"></span>
            </a>
            <?php } ?>
            <?php if( get_theme_mod('powerup_social_twitter', '') !== '') { ?>
            <a href="<?php echo esc_url(get_theme_mod('powerup_social_twitter')); ?>" target="_blank">
                <span class="icon-twitter"></span>
            </a>
            <?php } ?>
            <?php if( get_theme_mod('powerup_social_facebook', '') !== '') { ?>
            <a href="<?php echo esc_url(get_theme_mod('powerup_social_facebook')); ?>" target="_blank">
                <span class="icon-facebook2"></span>
            </a>
            <?php } ?>
            <?php if( get_theme_mod('powerup_social_instagram', '') !== '') { ?>
            <a href="<?php echo esc_url(get_theme_mod('powerup_social_instagram')); ?>" target="_blank">
                <span class="icon-instagram"></span>
            </a>
            <?php } ?>
        </div>
    </div>
    <!-- END SOCIAL -->
</div>
<!-- END MENU -->